
import java.io.*;
import java.net.*;
import java.util.*;


class BetClient{

   int serverPort;
   int myPort;

   InetAddress groupAddress;
   InetAddress serverAddress;

   Socket s;

   public BetClient(InetAddress gAddress, InetAddress server, int sPort, int mPort){
	
	groupAddress=gAddress;
        serverAddress=server;
	serverPort=sPort;
	myPort=mPort;
	try{
	   s=new Socket(serverAddress, serverPort);
	} catch (IOException ioe){
		System.out.println(ioe);}
   }

   public boolean placeBet(int nCavallo, long puntata){
	String e="";
	try{	
	   BufferedReader in = new BufferedReader (new InputStreamReader (s.getInputStream()));
	   PrintWriter out = new PrintWriter (s.getOutputStream(),true);

	   String bet =nCavallo+" "+puntata;
	   out.println(bet);

	   e=in.readLine();
	} catch (IOException ioe){
		System.out.println(ioe);}
	return e.equals("Scommessa accettata.");
   }

   public void riceviElenco(){
	try{
   	   MulticastSocket socket=new MulticastSocket(myPort);
	   socket.joinGroup(groupAddress);

	   byte[] buf=new byte[256];
	   DatagramPacket packet=new DatagramPacket(buf,buf.length);
	   socket.receive(packet);

	   String elenco= new String(packet.getData());

	   System.out.println("Elenco vincitori: ");
	   System.out.println(elenco);

	} catch (IOException ioe){
		System.out.println(ioe);}
   }

   public static void main (String[] args){
	
	int serverPort=8001;
	int myPort=8002;
	try{
	   InetAddress group=InetAddress.getByName("230.0.0.1");
	   InetAddress server=InetAddress.getByName("127.0.0.1");

    	   BetClient client=new BetClient(group,server,serverPort,myPort);    
	   
           int nCavallo=((int)(Math.random()*12))+1;
	   if (client.placeBet(nCavallo, 15))
		   client.riceviElenco();
	     
	   }catch (UnknownHostException uhe){
		        System.out.println(uhe);}
	
     }// main

}// BetClient